Bug 308002 - Information panel does not show group ownership
Summary: Information panel does not show group ownership
Status: RESOLVED FIXED
Alias: None
Product: dolphin
Classification: Unclassified
Component: panels: information (show other bugs)
Version: 17.12.3
Platform: Manjaro Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Dolphin Bug Assignee
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-10-07 08:09 UTC by Paul Worrall
Modified: 2018-04-04 22:59 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 18.08.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Paul Worrall 2012-10-07 08:09:38 UTC
I can configure the information panel to show "Owner" and "Permissions" but there is no option to display "Group".  There are seperate options to display "Unix File Owner", "Unix File Group" and "Unix File Mode", but these have no effect.

Reproducible: Always

Steps to Reproduce:
1. With information panel displayed, select a file or folder.
2. Right-click on the information panel, select configure
3. Check "Owner", "Permissions", "Unix File Owner", "Unix File Group" and "Unix File Mode"
4. Note that there is no option called "Group"
Actual Results:  
File Owner and Permissions are shown

Expected Results:  
File Group should also be shown
Comment 1 Christoph Feck 2012-10-08 09:14:16 UTC
Interestingly, it can be shown as "Additional Information". There, it is called "User Group".
Comment 2 Frank Reininghaus 2012-10-08 12:42:49 UTC
Thanks for the report! I see that this might be interesting for some users. It seems that the contents of the config dialog are provided by KFileMetaDataConfigurationWidget in kdelibs.
Comment 3 Brennan Kinney 2018-04-03 02:10:33 UTC
Over 5 years later. Still unable to select Group for info panel to go along with the Owner and Permissions fields.
Comment 4 Nate Graham 2018-04-03 03:05:57 UTC
Thanks for the ping, Brennan. This turned out to be trivially easy! Have a patch: https://phabricator.kde.org/D11897
Comment 5 Nate Graham 2018-04-04 22:59:19 UTC
Git commit aa674f4fa239e48bbe0b10ff72ff359511c347f5 by Nathaniel Graham.
Committed on 04/04/2018 at 22:58.
Pushed by ngraham into branch 'master'.

Expose group information to Dolphin's Information panel, tooltips, etc

Summary:
Expose Group information for files and folders so that it can be shown in Dolphin's Information panel, tooltips, etc.
FIXED-IN: 18.08.0

Test Plan:
Deploy change, create new user, open Dolphin, open Information Panel
- Group is not visible by default, as expected
- When made visible, Group appears between User and Permissions, as expected

Deploy change, use existing user account, open Dolphin, open Information Panel
- Group is not visible by default, as expected
- When made visible, Group appears between User and Permissions, as expected

{F5783397}

Reviewers: #baloo, michaelh

Reviewed By: michaelh

Subscribers: cfeck, anthonyfieroni, zzag, michaelh, broulik, #dolphin

Tags: #baloo

Differential Revision: https://phabricator.kde.org/D11897

M  +4    -1    src/filemetadataprovider.cpp
M  +2    -1    src/metadatafilter.cpp

https://commits.kde.org/baloo-widgets/aa674f4fa239e48bbe0b10ff72ff359511c347f5